Skip to main content
GET
List payments applied to an invoice

Authorizations

Authorization
string
header
required

Merchant API key bearer token. Legacy wire prefixes api_key_ and api_ are also accepted.

Path Parameters

id
string
required

Invoice TypeID (inv_...) whose payments are returned.

Example:

"inv_01hxy8m1nqk9g3x3y3p0azq2va"

Query Parameters

cursor
string

Opaque cursor from a previous page.nextCursor.

Example:

"eyJ2IjoxLCJkYXRhIjp7ImNyZWF0ZWRBdCI6IjIwMjYtMDMtMDFUMTI6MDA6MDAuMDAwWiIsImlkIjoiaW52cGF5XzAxLi4uIn19"

limit
number

Number of items to return. Maximum 100.

Example:

25

merchantId
string
required

Merchant TypeID (mer_...) used for authorization scope.

Example:

"mer_01hxy8m1nqk9g3x3y3p0azq2bg"

Response

Paginated payment history for the requested invoice.

items
object[]
required
page
object
required